Bug 498274 - x hanging when doing graphically-intensive things
x hanging when doing graphically-intensive things
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
i386 Linux
low Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-29 13:28 EDT by antisol
Modified: 2009-09-06 03:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-06 03:37:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description antisol 2009-04-29 13:28:07 EDT
Description of problem:

Complete description below

Version-Release number of selected component (if applicable):

Fedora 10... possibly xorg-x11-drv-i810?

How reproducible:
varies. Seems to depend on whether you are trying to get the lockup to happen - if you're trying to do work, it'll lock up. If you're trying to demonstrate the problem, it's more likely to work.

Steps to Reproduce:
1. Boot Machine
2. Do something involving 3D for a while
3. reboot when it hangs
  
Actual results:
X Freezes - display locks up but processes still running in background.

Expected results:

Stable, Funky graphical dualcore 2ghz goodness. Fragging in Unreal Tournament 2004 and Alien Arena. Being able to get through a whole episode of Babylon 5 in xine without rebooting. Half-Life 2 running under wine. My friends all saying "ooh what a pretty desktop cube you have! Linux is awesome!"

Additional info:

I was under the impression that I was suffering from bug #465884, but was told to file a new bug...

Complete description, as posted on fedoraforums:

I'm having trouble with Fedora 10 on my new laptop. I've spent about a week
trying to solve this, and none of the suggestions I've seen on various sites
and threads in this forum have helped. I'm hoping that somebody might be able
to please help me out.

Symptoms:

Machine:
* Dell Inspiron 1525 Laptop
* Intel 965GM graphics chip
* Fedora 10, updated to current using the default 'updates' repositories.

WHAT:
* Screen completely freezes, except that mouse cursor still moves. Gkrellm
stops updating (or updates are no longer drawn to the screen)
* The machine has not completely frozen; copying files from a samba share onto
the local hard drive via nautilus continues, and I can SSH into it from another
machine. When I SSH in from another machine and run 'top', nothing is using an
unusual amount of CPU time.
* when logged into the 'frozen' machine via ssh, running "tail -f
/var/log/Xorg.0.log" reveals:

[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.

When I move the mouse, more output similar or the same as the above is
generated. Pressing keys (including 'power combinations' such as CTRL-ALT-F2,
CTRL-ALT-BKSP, and CTRL-ALT-DEL) on the keyboard generates one or more of the
'infinite loop' messages, but no 'out-of-order' messages.

* The only ways I've found to get the machine back to a usable state is to
either hard-reset, or ssh into the machine and use the 'reboot' command. 'init
3' from ssh does nothing.

WHEN:
* not quite randomly. It appears that heavily graphical applications seem to
cause this. For example, if I leave the machine idle, or play gnome-mines but
do nothing else, the machine appears stable (have had it idle and stable for
>24hrs, only ever freezes when I am using it).

Some seemingly sure-fire ways to cause a 'freeze':
- Showing off compiz's effects will usually cause a 'freeze' within 5 or 10
minutes. If I use the CTRL-ALT-Mouse1 combination to free-rotate the desktop
cube for an extended period of time (more than a couple of minutes), it will
freeze.
- Watching a movie with xine will usually cause this in 20-30 minutes.
- Playing Alien Arena or Unreal Tournament 2004 for Linux is almost guaranteed
to cause the freeze within 20 minutes

THINGS I HAVE TRIED:

* Adding nomodeset to the kernel arguments. No noticeable effect

* Adding noapic to the kernel arguments. No noticeable effect

* Adding nohz=off to the kernel arguments. No noticeable effect

* Adding processor.max_cstate=1 to the kernel arguments. No Noticeable effect.

* Adding acpi=off to the kernel arguments. Machine will not boot (hangs during
startup after 'Starting NetworkManager daemon') with this argument

* All possible combinations of the above

* Turning off compiz. No noticeable effect

* various xorg.conf tweaks. (Legacy3D=true, DRI mode 666, Xinerama=0). No
noticeable effects.

* Recompiling the intel graphics driver as per the instructions at
http://www.graphics-muse.org/wp/?p=314. I was able to compile the driver
successfully, but it doesn't work - the machine will boot up successfully, but
when it starts X, the screen flashes a few times (setting graphical mode), then
hangs. After a while (1 minute?) the CapsLock and Scroll Lock keyboard LEDs
start flashing. The only way to get the machine back to a usable state is to
hard-reset, boot into runlevel 3, and comment out the modules path in
xorg.conf. After rebooting, I'm not able to find any obvious error messages in
either /var/log/dmesg, /var/log/messages, or /var/log/Xorg.0.log

* Checking updates-testing for a later version of the intel driver. there is
none.

* I have noticed that there is a newer intel driver in the rawhide repository,
but trying to install it basically required updating the entire machine to
rawhide, which is a >4gb download, and I'm concerned that there may be other
stability issues in this 'bleeding-edge' repository - I tend to use the
'stable' repositories, so I'd much prefer to solve the issue without updating
to rawhide.

my xorg.conf:

---BEGIN---
Section "ServerLayout"
Identifier "X.org Configured"
Screen 0 "Screen0" 0 0
InputDevice "Mouse0" "CorePointer"
InputDevice "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"
# The following module path points to the non-functional recompiled intel
driver:
# ModulePath "/usr/local/xorg/lib/xorg/modules/"
ModulePath "/usr/lib/xorg/modules"
FontPath "catalogue:/etc/X11/fontpath.d"
FontPath "built-ins"
EndSection

Section "Module"
Load "dbe"
Load "extmod"
Load "dri"
Load "glx"
EndSection

Section "DRI"
Mode 0666
EndSection

Section "InputDevice"
Identifier "Keyboard0"
Driver "kbd"
EndSection

Section "InputDevice"
Identifier "Mouse0"
Driver "mouse"
Option "Protocol" "auto"
Option "Device" "/dev/input/mice"
Option "ZAxisMapping" "4 5 6 7"
EndSection

Section "Monitor"
Identifier "Monitor0"
VendorName "Monitor Vendor"
ModelName "Monitor Model"
EndSection

Section "Device"
### Available Driver options are:-
### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
### <string>: "String", <freq>: "<f> Hz/kHz/MHz"
### [arg]: arg optional
#Option "NoAccel" # [<bool>]
#Option "SWcursor" # [<bool>]
#Option "ColorKey" # <i>
#Option "CacheLines" # <i>
#Option "Dac6Bit" # [<bool>]
#Option "DRI" # [<bool>]
#Option "NoDDC" # [<bool>]
#Option "ShowCache" # [<bool>]
#Option "XvMCSurfaces" # <i>
#Option "PageFlip" # [<bool>]
Identifier "Card0"
VendorName "Intel Corporation"
Driver "intel"
#Driver "vesa"
BoardName "Mobile GM965/GL960 Integrated Graphics Controller"
BusID "PCI:0:2:0"
Option "XVideo" "true"
Option "XvMC" "true"
Option "DRI" "true"
Option "XvMCSurfaces" "7"
Option "Legacy3d" "true"

EndSection

Section "Screen"
Identifier "Screen0"
Device "Card0"
Monitor "Monitor0"
SubSection "Display"
Viewport 0 0
Depth 1
EndSubSection
SubSection "Display"
Viewport 0 0
Depth 4
EndSubSection
SubSection "Display"
Viewport 0 0
Depth 8
EndSubSection
SubSection "Display"
Viewport 0 0
Depth 15
EndSubSection
SubSection "Display"
Viewport 0 0
Depth 16
EndSubSection
SubSection "Display"
Viewport 0 0
Depth 24
EndSubSection
EndSection

Section "ServerFlags"
Option "Xinerama" "0"
EndSection

---END---

I'm currently reading up on how to run a backtrace, and I'll provide one when
I'm able.
Comment 1 Matěj Cepl 2009-05-15 12:23:13 EDT
We would need /var/log/Xorg.0.log attached as uncompressed separate attachment as well. If Xorg server crashes it would put backtrace there, but even if it doesn't, it would tell us a lot about what the server thinks your computer is all about.

Thank you very much in advance
Comment 2 Vedran Miletić 2009-09-06 03:37:52 EDT
I used to have similar issues with Fedora 10 on my HP 6710s, which also has 965GM. But, it doesn't happen for me in Fedora 11.

Closing. If you can still reproduce it, please reopen.

Note You need to log in before you can comment on or make changes to this bug.